Gem install fails on RHEL 7.1 beta due to "cannot load such file -- zlib" [closed]

asked 2015-02-19 13:24:28 -0500

kherrscher gravatar image

updated 2015-02-20 05:00:05 -0500

gvdhoorn gravatar image

when running gem install -v 1.8.15 rubygems-update $$ update_rubygems on Ruby 1.9.3

I receive the following errors:

ERROR:  Loading command: install (LoadError)
    cannot load such file -- zlib
ERROR:  While executing gem ... (NameError)
    uninitialized constant Gem::Commands::InstallCommand

Can someone help me solve this "cannot load such file -- zlib" error? Or straighten me out, if what I am trying to do does not make sense....thx.

edit retag flag offensive reopen merge delete

Closed for the following reason question is off-topic or not relevant. Please see http://wiki.ros.org/Support for more details. by tfoote
close date 2015-02-20 12:21:26.911370

Comments

1

Is this ROS related?

gvdhoorn gravatar image gvdhoorn  ( 2015-02-20 04:59:21 -0500 )edit

Please ask this question on a forum for ruby support. This site is focused on ROS questions and answers. @gvdhoorn You can close these sort of questions yourself.

tfoote gravatar image tfoote  ( 2015-02-20 12:21:19 -0500 )edit

@tfoote: I know I can, but I wanted to give @kherrscher the opportunity to update his question in case it was actually ROS related,

gvdhoorn gravatar image gvdhoorn  ( 2015-02-20 12:32:00 -0500 )edit

@gvdhoorn I would like to give more time, the problem is that we're building up a backlog of unanswered questions and although it's nicer to give an opportunity to edit the question, it doubles or triples the moderator load to comment, wait, check for updates, and then close or answer question.

tfoote gravatar image tfoote  ( 2015-02-20 13:33:06 -0500 )edit